> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Rename a Channel > Change the name of a channel. Permission required: `edit-room` ### Changelog | Version | Description | | ------- | ----------- | |0.48.0 | Added | ## OpenAPI ````json POST /api/v1/channels.rename { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.rename": { "post": { "tags": [ "Channels" ], "summary": "Rename a Channel", "description": "Change the name of a channel. Permission required: `edit-room`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n|0.48.0 | Added | ", "operationId": "pos-api-v1-channels.rename", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The channel's ID." }, "name": { "type": "string", "description": "The new name of the channel. It can not be the same as the current name." } }, "required": [ "roomId", "name" ] }, "examples": { "Example": { "value": { "roomId": "WDuJLFkjwk6L7LdFC", "name": "newName" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "channel": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "t": { "type": "string" }, "usernames": { "type": "array", "items": { "type": "string" } }, "msgs": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "channel": { "_id": "ByehQjC44FwMeiLbX", "name": "new-name", "t": "c", "usernames": [ "testing1" ], "msgs": 4, "u": { "_id": "aobEdbYhXfu5hkeqG", "username": "testing1" }, "ts": "2016-12-09T15:08:58.042Z", "ro": false, "sysMes": true, "_updatedAt": "2016-12-09T15:57:44.686Z" }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" }, "details": { "type": "object", "properties": { "method": { "type": "string" }, "action": { "type": "string" } } } } }, "examples": { "No permission": { "value": { "success": false, "error": "Editing room is not allowed [error-action-not-allowed]", "errorType": "error-action-not-allowed", "details": { "method": "saveRoomSettings", "action": "Editing_room" } } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````